Skip to main content
POST
Cancel a call that has not started dialing yet

Authorizations

Authorization
string
header
required

Use Authorization: Bearer esk_live_... or esk_test_... for API access

Path Parameters

id
string
required

Response

id
string<uuid>
required
organizationId
string<uuid>
required
clientId
string<uuid>
required
provider
string
required
Example:

"retell"

medium
enum<string>
required
Available options:
pstn,
whatsapp
direction
enum<string>
required
Available options:
outbound,
inbound
toNumber
string
required
Example:

"+5511999990000"

status
enum<string>
required
Available options:
queued,
awaiting_permission,
dialing,
in_progress,
completed,
failed,
cancelled
trigger
enum<string>
required
Available options:
manual,
flow,
api,
retry
attemptNumber
number
required
hasRecording
boolean
required

Whether a recording can be fetched via GET /voice-calls/:id/recording

createdAt
string
required
updatedAt
string
required
debtId
object | null
enrollmentId
object | null
stepExecutionId
object | null
conversationId
object | null
providerCallId
object | null
fromNumber
object | null
outcome
enum<string> | null
Available options:
negotiated,
promise_to_pay,
paid_during_call,
callback_requested,
refused,
no_answer,
busy,
voicemail,
wrong_number,
transferred_to_human,
permission_denied,
failed
requestedByUserId
object | null
scheduledFor
object | null
startedAt
object | null
answeredAt
object | null
endedAt
object | null
durationSeconds
object | null
transcript
object[] | null
summary
object | null
analysis
object | null
promiseToPayAmount
object | null
promiseToPayDate
object | null
Example:

"2026-06-15"

callbackRequestedAt
object | null
transferredTo
object | null
transferredAt
object | null
disconnectionReason
object | null
billedAmountCents
object | null
billedMinutes
object | null
errorMessage
object | null
warnings
string[]
client
object | null
debt
object | null